LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
04692Bug reports[All Projects] Data Entry (non public)public2010-10-22 16:022010-10-28 00:54
Reporterkhoy 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version1.90+ 
Target VersionFixed in Version1.90+ 
Summary04692: test if all question code are clean before import
Descriptionls doesn't check if all data are clean when importing a question
Steps To Reproduceimport question or question group with missing question code
don't edit question after importing
I will donate to the project if issue is resolved within 48 hrs
LimeSurvey build number OR git commit ID9118
Browser
Database & DB-VersionMysql
Operating System (Server)Linux
Webserver software & versionApache
PHP Version5.1.6
Attached Files? file icon generates-errors.lsg [^] (24,623 bytes) 2010-10-23 05:26

- Relationships

-  Notes
(13322)
user10269
2010-10-23 05:26

I can verify this issue using the 1.90+ hosted at LimeService. I have attached a survey group that caused import to fail for me. In my issue, the gid was inconsistent throughout the imported *.lsg document. It seems that the SQL adds a row to the question groups, but fails when adding questions.

I can give further information if needed, please advise.

<generates-errors.lsg>
User avatar (13326)
c_schmitz (administrator)
2010-10-24 17:34

Question code, QID & GID are now properly checked and skipped if invalid.
Fixed in rev. 9325
User avatar (13359)
c_schmitz (administrator)
2010-10-28 00:54

Fixed in latest 1.90+ release.

- Issue History
Date Modified Username Field Change
2010-10-22 16:02 khoy New Issue
2010-10-22 22:11 c_schmitz Assigned To => c_schmitz
2010-10-22 22:11 c_schmitz Status new => assigned
2010-10-23 05:26 user10269 Note Added: 13322
2010-10-23 05:26 user10269 File Added: generates-errors.lsg
2010-10-24 17:34 c_schmitz Note Added: 13326
2010-10-24 17:34 c_schmitz Status assigned => resolved
2010-10-24 17:34 c_schmitz Fixed in Version => 1.90+
2010-10-24 17:34 c_schmitz Resolution open => fixed
2010-10-28 00:54 c_schmitz Note Added: 13359
2010-10-28 00:54 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker